<?php
/*
 * Admin functions
 */
add_action( 'wp_ajax_pm_vat_addvideo_ajax_request', 'pm_vat_process_addvideo_ajax' );
function pm_vat_process_addvideo_ajax() {
	// Verify
	if( !isset( $_POST['nonce'] ) || !wp_verify_nonce( $_POST['nonce'], 'pm_vat_options' ) )
		die( 'Nonce not present or valid' );
	if( ( $_POST['is_admin'] != 1 ) || ( $_POST['is_admin'] != true ) )
		die( 'You do not have admin privileges to perform this action' );
	$count = ( isset($_POST['count']) ) ? sanitize_text_field( $_POST['count'] ) : '1' ;
	// Build the default settings array
	$videoAdOptions = array(
			$count => array(
				'count' => $count,
				'optkey' => 'videos',
				'videoname' => '',
				'ytvdoid' => '',
				'controls' => '0',
				'autoplay' => '0',
				'focusplay' => '1',
				'messages' => '',
				'pausetext' => '',
				'endtext' => '',
				'endscreen' => '',
				)
			);
	$new_video = new PmillVideoAdOptions( $videoAdOptions );
	echo $new_video->pm_videoad_options();
	// Don't forget this or you'll get a 0 added to response
	die();
}

// Check if var is set
//http://stackoverflow.com/a/15659199/895709
if( !function_exists('pm_isset_var') ) {
	function pm_isset_var( $array, $key, $default = null ) {
		return isset( $array[$key] ) ? $array[$key] : $default ;
	}
}
?>